import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Gruppe } from '../Gruppe';

@Injectable({
  providedIn: 'root'
})
export class GruppeService {

  public $url = "http://localhost/bildungdb/api/group_data.php";
  strAnfrage ="";

  constructor(private http: HttpClient) { }

  getGruppen() {
    return this.http.get<Gruppe[]>(this.$url);
  }

  getSingleKompetenz(aktid: any) {
    this.strAnfrage= this.$url + "?id="+ aktid;
    return this.http.get<Gruppe>(this.strAnfrage);
  }
}
